// https://twitter.com/swyx/status/1541268395521413120
export function getTimeAgo(_from, _to = new Date()) {
    const from = +new Date(_from);
    const to = +new Date(_to);
    let rft = new Intl.RelativeTimeFormat('en', {
        localeMatcher: 'best fit',
        style: 'long',
        numeric: 'auto',
    });
    let diff = from - to;
    for (const [unit, value] of [
        ['year', 1000 * 60 * 60 * 24 * 365],
        ['month', 1000 * 60 * 60 * 24 * 31],
        ['week', 1000 * 60 * 60 * 24 * 7],
        ['day', 1000 * 60 * 60 * 24],
        ['hour', 1000 * 60 * 60],
        ['minute', 1000 * 60],
        ['second', 1000],
    ]) {
        if (Math.abs(diff) >= value) {
            return rft.format(Math.floor(diff / value), unit);
        }
    }
    return 'now';
}
