import type { Organization, User } from './types';
declare const _default: {
    organization: {
        users: {
            add: ({ email, role, organization_id, created_by, }: {
                email: string;
                role: string;
                organization_id: Organization['id'];
                created_by: User['id'];
            }) => Promise<any>;
        };
    };
    plaid: {
        createLinkToken: (data: any) => Promise<any>;
        createStripeAchAccount: (data: any) => Promise<any>;
    };
    quickbooks: {
        authorize: () => Promise<any>;
        getIncome: (data?: {}) => Promise<any>;
        refreshToken: () => Promise<any>;
    };
    stripe: {
        createCheckoutSession: (data: {
            mode: 'subscription' | 'payment';
            line_items: {
                price: string;
                quantity: number;
            }[];
            price: string;
            cancel_url: string;
        }) => Promise<any>;
        createOrder: (data: any) => Promise<any>;
        createPaymentIntent: (data: any) => Promise<any>;
        getCheckoutSession: (id: string) => Promise<any>;
        getPaymentIntent: (id: string) => Promise<any>;
        getPrices: () => Promise<any>;
        getPaymentMethods: () => Promise<any>;
        getSources: () => Promise<any>;
        getAccount: () => Promise<any>;
        createPortalLink: (data: {
            return_url: string;
        }) => Promise<any>;
        createAccountLink: (data: any) => Promise<any>;
        updateCustomer: (data: any) => Promise<any>;
        createLoginLink: (data: any) => Promise<any>;
    };
    inviteUser: (data: {
        email: string;
        role: string;
    }) => Promise<any>;
};
export default _default;
