import { auth } from './firebase';
import firebase from 'firebase/compat/app';
import { Timestamp, type DocumentData } from 'firebase/firestore';
import type { Organization, User } from './types';
export declare function createDoc(coll: string, data: DocumentData): Promise<import("firebase/firestore").DocumentReference<DocumentData> | undefined>;
export declare function getDoc<T>(path: string): Promise<T | null>;
export declare function getCollection<T>(path: string): Promise<T[]>;
export declare function updateDoc(path: string, data: object, message?: string): Promise<void>;
export declare function setDoc(path: string, data: object): Promise<boolean>;
export declare function deleteDoc(path: string, message?: string): Promise<any>;
export declare function uploadFile(file: Blob | Uint8Array | ArrayBuffer, path: string): Promise<string | void>;
export declare function now(): Timestamp;
export declare function deleteField(): import("firebase/firestore").FieldValue;
export declare const Admin: {
    users: {
        getMany(): Promise<User[]>;
    };
};
export declare const Auth: {
    resetPassword({ email, continueUrl, }: {
        email: string;
        continueUrl: string;
    }): Promise<void>;
    resendVerificationEmail(): Promise<void> | undefined;
    resetEmail(email: string): Promise<void>;
    signIn({ email, password }: {
        email: string;
        password: string;
    }): Promise<void>;
    signInWithProvider(service: firebase.auth.AuthProvider['providerId']): Promise<void> | undefined;
    signOut(): any;
    signUp({ email, password, continueUrl, }: {
        email: string;
        password: string;
        continueUrl?: string | undefined;
    }): Promise<void>;
    update(data: {
        [x: string]: string;
        displayName: any;
    }): Promise<void>;
};
export declare const Users: {
    updateCurrent(data: any): Promise<boolean>;
    update(id: any, data: {
        [x: string]: string;
        display_name: any;
    }): Promise<any>;
    get(id: any): Promise<User | null>;
    addPhoto(file: Blob | Uint8Array | ArrayBuffer): Promise<string | void>;
};
export declare const Organizations: {
    add(data: object): Promise<void>;
    get(id: Organization['id']): {};
    getForUser(): Promise<{
        id: string;
        role: any;
        last_active: any;
    }[]>;
    update(data: any): Promise<void>;
    addPhoto(file: Blob | Uint8Array | ArrayBuffer): Promise<string | void>;
    users: {
        add: ({ email, role }: {
            email: any;
            role: any;
        }) => Promise<any>;
        remove: (user_id: any) => Promise<any>;
        get(): Promise<{
            id: string;
            role: any;
            last_active: any;
        }[]>;
        update(user_id: string, data: any): Promise<void>;
    };
};
export declare const Notifications: {
    get(): Promise<unknown[]>;
    updateMany(notifications: never[] | undefined, data: firebase.firestore.UpdateData): void;
};
export declare const Webhooks: {
    add({ name, url, events }: {
        name?: string | undefined;
        url: any;
        events?: never[] | undefined;
    }): Promise<import("firebase/firestore").DocumentReference<DocumentData> | undefined>;
    delete(id: any): Promise<any>;
    get(): Promise<unknown[]>;
    update(id: any, data: any): Promise<void>;
};
