/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
import type { User, Provider, UserAttributes } from '@supabase/supabase-js';
import type { DbUser, Message, MessageThread, Notification, Organization as OrganizationType, UserOrganization } from './types';
export declare const db: {
    users: {
        get(id: string | number): Promise<{
            id: string;
            updated_at: string | null;
            created_at: string | null;
            email: string | null;
            username: string | null;
            photo_url: string | null;
            display_name: string | null;
            first_name: string | null;
            last_name: string | null;
            country: string | null;
            tagline: string | null;
            about: string | null;
            website: string | null;
            description: string | null;
        }>;
        getMany(match?: {}): Promise<{
            id: string;
            updated_at: string | null;
            created_at: string | null;
            email: string | null;
            username: string | null;
            photo_url: string | null;
            display_name: string | null;
            first_name: string | null;
            last_name: string | null;
            country: string | null;
            tagline: string | null;
            about: string | null;
            website: string | null;
            description: string | null;
        }[]>;
        create(payload: Partial<{
            id: string;
            updated_at: string | null;
            created_at: string | null;
            email: string | null;
            username: string | null;
            photo_url: string | null;
            display_name: string | null;
            first_name: string | null;
            last_name: string | null;
            country: string | null;
            tagline: string | null;
            about: string | null;
            website: string | null;
            description: string | null;
        }>, message?: string): Promise<void | {
            id: string;
            updated_at: string | null;
            created_at: string | null;
            email: string | null;
            username: string | null;
            photo_url: string | null;
            display_name: string | null;
            first_name: string | null;
            last_name: string | null;
            country: string | null;
            tagline: string | null;
            about: string | null;
            website: string | null;
            description: string | null;
        } | null>;
        update(id: string | number, data: Partial<{
            id: string;
            updated_at: string | null;
            created_at: string | null;
            email: string | null;
            username: string | null;
            photo_url: string | null;
            display_name: string | null;
            first_name: string | null;
            last_name: string | null;
            country: string | null;
            tagline: string | null;
            about: string | null;
            website: string | null;
            description: string | null;
        }>, message?: string): Promise<{
            id: string;
            updated_at: string | null;
            created_at: string | null;
            email: string | null;
            username: string | null;
            photo_url: string | null;
            display_name: string | null;
            first_name: string | null;
            last_name: string | null;
            country: string | null;
            tagline: string | null;
            about: string | null;
            website: string | null;
            description: string | null;
        }>;
        delete(id: string | number, message?: string): Promise<void | undefined[]>;
    };
    organizations: {
        get(id: string | number): Promise<{
            id: number;
            updated_at: string | null;
            created_at: string | null;
            photo_url: string | null;
            name: string;
            description: string | null;
            website: string | null;
            created_by: string;
            stripe_customer_id: string | null;
            toggl_api_token: string | null;
            stripe_subscription_status: string | null;
            stripe_product: string | null;
            stripe_account_id: string | null;
        }>;
        getMany(match?: {}): Promise<{
            id: number;
            updated_at: string | null;
            created_at: string | null;
            photo_url: string | null;
            name: string;
            description: string | null;
            website: string | null;
            created_by: string;
            stripe_customer_id: string | null;
            toggl_api_token: string | null;
            stripe_subscription_status: string | null;
            stripe_product: string | null;
            stripe_account_id: string | null;
        }[]>;
        create(payload: Partial<{
            id: number;
            updated_at: string | null;
            created_at: string | null;
            photo_url: string | null;
            name: string;
            description: string | null;
            website: string | null;
            created_by: string;
            stripe_customer_id: string | null;
            toggl_api_token: string | null;
            stripe_subscription_status: string | null;
            stripe_product: string | null;
            stripe_account_id: string | null;
        }>, message?: string): Promise<void | {
            id: number;
            updated_at: string | null;
            created_at: string | null;
            photo_url: string | null;
            name: string;
            description: string | null;
            website: string | null;
            created_by: string;
            stripe_customer_id: string | null;
            toggl_api_token: string | null;
            stripe_subscription_status: string | null;
            stripe_product: string | null;
            stripe_account_id: string | null;
        } | null>;
        update(id: string | number, data: Partial<{
            id: number;
            updated_at: string | null;
            created_at: string | null;
            photo_url: string | null;
            name: string;
            description: string | null;
            website: string | null;
            created_by: string;
            stripe_customer_id: string | null;
            toggl_api_token: string | null;
            stripe_subscription_status: string | null;
            stripe_product: string | null;
            stripe_account_id: string | null;
        }>, message?: string): Promise<{
            id: number;
            updated_at: string | null;
            created_at: string | null;
            photo_url: string | null;
            name: string;
            description: string | null;
            website: string | null;
            created_by: string;
            stripe_customer_id: string | null;
            toggl_api_token: string | null;
            stripe_subscription_status: string | null;
            stripe_product: string | null;
            stripe_account_id: string | null;
        }>;
        delete(id: string | number, message?: string): Promise<void | undefined[]>;
    };
    webhooks: {
        get(id: string | number): Promise<{
            id: number;
            created_at: string | null;
            organization_id: number;
            url: string | null;
            active: boolean;
            name: string | null;
        }>;
        getMany(match?: {}): Promise<{
            id: number;
            created_at: string | null;
            organization_id: number;
            url: string | null;
            active: boolean;
            name: string | null;
        }[]>;
        create(payload: Partial<{
            id: number;
            created_at: string | null;
            organization_id: number;
            url: string | null;
            active: boolean;
            name: string | null;
        }>, message?: string): Promise<void | {
            id: number;
            created_at: string | null;
            organization_id: number;
            url: string | null;
            active: boolean;
            name: string | null;
        } | null>;
        update(id: string | number, data: Partial<{
            id: number;
            created_at: string | null;
            organization_id: number;
            url: string | null;
            active: boolean;
            name: string | null;
        }>, message?: string): Promise<{
            id: number;
            created_at: string | null;
            organization_id: number;
            url: string | null;
            active: boolean;
            name: string | null;
        }>;
        delete(id: string | number, message?: string): Promise<void | undefined[]>;
    };
};
export declare function upsertRecord<T>(table: string, body: Partial<T> | Partial<T>[], message?: string): Promise<any>;
export declare function updateRecord<T>(table: string, id: string | number, data: Partial<T>, message?: string): Promise<T>;
export declare const Admin: {
    users: {
        getMany(limit: number, offset: number): Promise<unknown>;
        search(email: string): Promise<unknown>;
    };
};
export declare const Auth: {
    readonly user: User;
    resetPassword({ email, continueUrl, }: {
        email: string;
        continueUrl: string;
    }): Promise<void>;
    sendPasswordResetEmail(email: string): Promise<{} | null>;
    signIn({ email, password }: {
        email: string;
        password: string;
    }): Promise<void>;
    signInWithProvider(provider?: Provider): Promise<{
        provider: Provider;
        url: string;
    } | {
        provider: Provider;
        url: null;
    }>;
    signInWithoutPassword({ email }: {
        email: string;
    }): Promise<import("@supabase/supabase-js").AuthResponse>;
    signOut(): Promise<{
        error: import("@supabase/supabase-js").AuthError | null;
    }>;
    signUp({ email, password, metadata, }: {
        email: string;
        password: string;
        metadata?: object | undefined;
    }): Promise<void>;
    update(data: UserAttributes): Promise<import("@supabase/supabase-js").UserResponse>;
};
export declare const Users: {
    addPhoto(file: string | ArrayBuffer | ArrayBufferView | Blob | Buffer | File | FormData | NodeJS.ReadableStream | ReadableStream<Uint8Array> | URLSearchParams): Promise<string | null>;
    get(id: string | number): Promise<{
        id: string;
        updated_at: string | null;
        created_at: string | null;
        email: string | null;
        username: string | null;
        photo_url: string | null;
        display_name: string | null;
        first_name: string | null;
        last_name: string | null;
        country: string | null;
        tagline: string | null;
        about: string | null;
        website: string | null;
        description: string | null;
    }>;
    getMany(match?: {}): Promise<{
        id: string;
        updated_at: string | null;
        created_at: string | null;
        email: string | null;
        username: string | null;
        photo_url: string | null;
        display_name: string | null;
        first_name: string | null;
        last_name: string | null;
        country: string | null;
        tagline: string | null;
        about: string | null;
        website: string | null;
        description: string | null;
    }[]>;
    create(payload: Partial<{
        id: string;
        updated_at: string | null;
        created_at: string | null;
        email: string | null;
        username: string | null;
        photo_url: string | null;
        display_name: string | null;
        first_name: string | null;
        last_name: string | null;
        country: string | null;
        tagline: string | null;
        about: string | null;
        website: string | null;
        description: string | null;
    }>, message?: string): Promise<void | {
        id: string;
        updated_at: string | null;
        created_at: string | null;
        email: string | null;
        username: string | null;
        photo_url: string | null;
        display_name: string | null;
        first_name: string | null;
        last_name: string | null;
        country: string | null;
        tagline: string | null;
        about: string | null;
        website: string | null;
        description: string | null;
    } | null>;
    update(id: string | number, data: Partial<{
        id: string;
        updated_at: string | null;
        created_at: string | null;
        email: string | null;
        username: string | null;
        photo_url: string | null;
        display_name: string | null;
        first_name: string | null;
        last_name: string | null;
        country: string | null;
        tagline: string | null;
        about: string | null;
        website: string | null;
        description: string | null;
    }>, message?: string): Promise<{
        id: string;
        updated_at: string | null;
        created_at: string | null;
        email: string | null;
        username: string | null;
        photo_url: string | null;
        display_name: string | null;
        first_name: string | null;
        last_name: string | null;
        country: string | null;
        tagline: string | null;
        about: string | null;
        website: string | null;
        description: string | null;
    }>;
    delete(id: string | number, message?: string): Promise<void | undefined[]>;
    table: "users" | "organizations" | "events" | "toggl_entries" | "prices" | "products" | "user_notifications" | "user_organization" | "webhooks" | "projects" | "message_threads" | "messages" | "invoices" | "customers" | "subscriptions";
};
export declare const Organizations: {
    create(body: Partial<any> | Partial<any>[]): Promise<void | {
        created_by: string;
    } | null>;
    getForUser(userId?: string): Promise<{
        role: any;
        id: any;
        name: any;
        description: any;
        website: any;
        photo_url: any;
        created_at: any;
        updated_at: any;
        created_by: any;
    }[]>;
    addPhoto(file: string | ArrayBuffer | ArrayBufferView | Blob | Buffer | File | FormData | NodeJS.ReadableStream | ReadableStream<Uint8Array> | URLSearchParams): Promise<string | null>;
    update(id: OrganizationType['id'], body: Partial<OrganizationType>): Promise<{}>;
    users: {
        add: (user_id: DbUser['id'], organization_id: OrganizationType['id'], role: UserOrganization['role']) => Promise<undefined[] | null>;
        remove: (user_id: DbUser['id']) => Promise<undefined[] | null>;
        get(): Promise<void | any[]>;
        getOne(user_id: string, organization_id: number): Promise<unknown>;
        update(user_id: DbUser['id'], body: Partial<any>): Promise<void>;
    };
    get(id: string | number): Promise<{
        id: number;
        updated_at: string | null;
        created_at: string | null;
        photo_url: string | null;
        name: string;
        description: string | null;
        website: string | null;
        created_by: string;
        stripe_customer_id: string | null;
        toggl_api_token: string | null;
        stripe_subscription_status: string | null;
        stripe_product: string | null;
        stripe_account_id: string | null;
    }>;
    getMany(match?: {}): Promise<{
        id: number;
        updated_at: string | null;
        created_at: string | null;
        photo_url: string | null;
        name: string;
        description: string | null;
        website: string | null;
        created_by: string;
        stripe_customer_id: string | null;
        toggl_api_token: string | null;
        stripe_subscription_status: string | null;
        stripe_product: string | null;
        stripe_account_id: string | null;
    }[]>;
    delete(id: string | number, message?: string): Promise<void | undefined[]>;
    table: string;
    organization: {
        id: number;
        updated_at: string | null;
        created_at: string | null;
        photo_url: string | null;
        name: string;
        description: string | null;
        website: string | null;
        created_by: string;
        stripe_customer_id: string | null;
        toggl_api_token: string | null;
        stripe_subscription_status: string | null;
        stripe_product: string | null;
        stripe_account_id: string | null;
    };
};
export declare const Files: {
    get(): Promise<string>;
};
export declare const Notifications: {
    get(): never[];
    updateMany(notifications: Notification[] | undefined, data: Partial<any>): Promise<unknown>;
    updatePreferences(data: Partial<any>): void;
};
export declare const Projects: {
    get(id: string | number): Promise<unknown>;
    getMany(match?: {}): Promise<unknown[]>;
    create(payload: Partial<unknown>, message?: string): Promise<unknown>;
    update(id: string | number, data: Partial<unknown>, message?: string): Promise<unknown>;
    delete(id: string | number, message?: string): Promise<void | undefined[]>;
};
export declare const Messages: {
    create(threadId: MessageThread['id'], data: Partial<Message>): Promise<void>;
    update(id: Message['id']): Promise<{
        archived: boolean;
    }>;
    getThreads(): Promise<unknown>;
    getForThread(threadId: MessageThread['id']): Promise<unknown>;
};
export declare const Webhooks: {
    get(id: string | number): Promise<{
        id: number;
        created_at: string | null;
        organization_id: number;
        url: string | null;
        active: boolean;
        name: string | null;
    }>;
    getMany(match?: {}): Promise<{
        id: number;
        created_at: string | null;
        organization_id: number;
        url: string | null;
        active: boolean;
        name: string | null;
    }[]>;
    create(payload: Partial<{
        id: number;
        created_at: string | null;
        organization_id: number;
        url: string | null;
        active: boolean;
        name: string | null;
    }>, message?: string): Promise<void | {
        id: number;
        created_at: string | null;
        organization_id: number;
        url: string | null;
        active: boolean;
        name: string | null;
    } | null>;
    update(id: string | number, data: Partial<{
        id: number;
        created_at: string | null;
        organization_id: number;
        url: string | null;
        active: boolean;
        name: string | null;
    }>, message?: string): Promise<{
        id: number;
        created_at: string | null;
        organization_id: number;
        url: string | null;
        active: boolean;
        name: string | null;
    }>;
    delete(id: string | number, message?: string): Promise<void | undefined[]>;
};
