// import { falsyToNull, trim } from '../../zodTransformers'
import * as trpc from '@trpc/server';
import { z } from 'zod';
import stripe from '../stripe';
export default trpc
    .router()
    .query('account', {
    input: z.string().optional(),
    resolve: ({ input: id }) => stripe.accounts.retrieve(id),
})
    .query('hello', {
    resolve: () => {
        return { name: 'World' };
    },
})
    .query('darrin', {
    resolve: () => {
        return { name: 'Hello Darrin', darrin: true };
    },
})
    .query('get-age', {
    // input: z.string().optional(),
    resolve: () => {
        return { age: 33 };
    },
});
// .mutation('save', {
// 	input: z.object({
// 		id: z.string().nullable(),
// 		title: z.string().min(3).max(50).transform(trim),
// 		authorId: z.string().min(1, 'Should be selected'),
// 		price: z.string().refine(
// 			(val) => {
// 				try {
// 					new Decimal(val)
// 					return true
// 				} catch {
// 					return false
// 				}
// 			},
// 			{ message: 'Valid number required' }
// 		),
// 		excerpt: z.string().max(1000).transform(trim).transform(falsyToNull),
// 	}),
// 	resolve: ({ input: { id, ...data } }) =>
// 		id
// 			? prismaClient.book.update({
// 					data,
// 					where: { id },
// 					select: { id: true },
// 			  })
// 			: prismaClient.book.create({ data, select: { id: true } }),
// })
// .mutation('delete', {
// 	input: z.string(),
// 	resolve: ({ input: id }) =>
// 		prismaClient.book.delete({ where: { id } }).then(() => undefined),
// })
