import type { UserOrganization } from '../types';
import { type Writable } from 'svelte/store';
export declare const currentUser: {
    subscribe: (this: void, run: import("svelte/store").Subscriber<import("@supabase/supabase-js").AuthUser | null>, invalidate?: ((value?: import("@supabase/supabase-js").AuthUser | null | undefined) => void) | undefined) => import("svelte/store").Unsubscriber;
    set: (this: void, value: import("@supabase/supabase-js").AuthUser | null) => void;
    signIn: (user: import('@supabase/supabase-js').Session['user'] | null) => void;
    signOut: () => void;
};
export declare const dbUser: Writable<{
    id: string;
    updated_at: string | null;
    created_at: string | null;
    email: string | null;
    username: string | null;
    photo_url: string | null;
    display_name: string | null;
    first_name: string | null;
    last_name: string | null;
    country: string | null;
    tagline: string | null;
    about: string | null;
    website: string | null;
    description: string | null;
} | null>;
export declare const activeOrganization: Writable<{
    id: number;
    updated_at: string | null;
    created_at: string | null;
    photo_url: string | null;
    name: string;
    description: string | null;
    website: string | null;
    created_by: string;
    stripe_customer_id: string | null;
    toggl_api_token: string | null;
    stripe_subscription_status: string | null;
    stripe_product: string | null;
    stripe_account_id: string | null;
} & {
    role: UserOrganization['role'];
}>;
export declare const userOrganizations: Writable<{
    id: number;
    updated_at: string | null;
    created_at: string | null;
    photo_url: string | null;
    name: string;
    description: string | null;
    website: string | null;
    created_by: string;
    stripe_customer_id: string | null;
    toggl_api_token: string | null;
    stripe_subscription_status: string | null;
    stripe_product: string | null;
    stripe_account_id: string | null;
}[]>;
export declare const loadingAuth: Writable<boolean>;
export declare const userMessages: Writable<never[]>;
