import api from '../api';
import { notifications } from '../../stores/notifications';
export async function createStripeCheckoutSession(price) {
    const { id, recurring } = price;
    let cancel_url = window && `${window.location.origin}/pricing`;
    const session = await api.stripe.createCheckoutSession({
        mode: recurring ? 'subscription' : 'payment',
        line_items: [{ price: id, quantity: 1 }],
        price,
        cancel_url,
    });
    if (session.id) {
        window.location = session.url;
    }
    else if (session.message) {
        notifications.error(session.message);
    }
}
export async function createStripeOrder(price) {
    const { id, recurring } = price;
    let cancel_url = window && `${window.location.origin}/pricing`;
    const session = await api.stripe.createOrder({
        mode: recurring ? 'subscription' : 'payment',
        line_items: [{ price: id, quantity: 1 }],
        locale: 'auto',
        cancel_url,
    });
    if (session.id) {
        window.location = session.url;
    }
    else if (session.message) {
        notifications.error(session.message);
    }
}
