export type Json =
	| string
	| number
	| boolean
	| null
	| { [key: string]: Json }
	| Json[]

export interface Database {
	public: {
		Tables: {
			events: {
				Row: {
					id: number
					created_at: string | null
					start: string | null
					end: string | null
					source: string | null
					name: string | null
					description: string | null
				}
				Insert: {
					id?: number
					created_at?: string | null
					start?: string | null
					end?: string | null
					source?: string | null
					name?: string | null
					description?: string | null
				}
				Update: {
					id?: number
					created_at?: string | null
					start?: string | null
					end?: string | null
					source?: string | null
					name?: string | null
					description?: string | null
				}
			}
			toggl_entries: {
				Row: {
					id: number
					created_at: string | null
					start: string | null
					stop: string | null
					guid: string | null
					workspace_id: number | null
					project_id: number | null
					billable: boolean | null
					duration: number | null
					duronly: boolean | null
					user_id: number | null
					at: string | null
				}
				Insert: {
					id?: number
					created_at?: string | null
					start?: string | null
					stop?: string | null
					guid?: string | null
					workspace_id?: number | null
					project_id?: number | null
					billable?: boolean | null
					duration?: number | null
					duronly?: boolean | null
					user_id?: number | null
					at?: string | null
				}
				Update: {
					id?: number
					created_at?: string | null
					start?: string | null
					stop?: string | null
					guid?: string | null
					workspace_id?: number | null
					project_id?: number | null
					billable?: boolean | null
					duration?: number | null
					duronly?: boolean | null
					user_id?: number | null
					at?: string | null
				}
			}
			prices: {
				Row: {
					id: string
					product_id: string | null
					active: boolean | null
					description: string | null
					unit_amount: number | null
					currency: string | null
					type: 'one_time' | 'recurring' | null
					interval: 'day' | 'week' | 'month' | 'year' | null
					interval_count: number | null
					trial_period_days: number | null
					metadata: Json | null
				}
				Insert: {
					id: string
					product_id?: string | null
					active?: boolean | null
					description?: string | null
					unit_amount?: number | null
					currency?: string | null
					type?: 'one_time' | 'recurring' | null
					interval?: 'day' | 'week' | 'month' | 'year' | null
					interval_count?: number | null
					trial_period_days?: number | null
					metadata?: Json | null
				}
				Update: {
					id?: string
					product_id?: string | null
					active?: boolean | null
					description?: string | null
					unit_amount?: number | null
					currency?: string | null
					type?: 'one_time' | 'recurring' | null
					interval?: 'day' | 'week' | 'month' | 'year' | null
					interval_count?: number | null
					trial_period_days?: number | null
					metadata?: Json | null
				}
			}
			products: {
				Row: {
					id: string
					active: boolean | null
					name: string | null
					description: string | null
					image: string | null
					metadata: Json | null
				}
				Insert: {
					id: string
					active?: boolean | null
					name?: string | null
					description?: string | null
					image?: string | null
					metadata?: Json | null
				}
				Update: {
					id?: string
					active?: boolean | null
					name?: string | null
					description?: string | null
					image?: string | null
					metadata?: Json | null
				}
			}
			user_notifications: {
				Row: {
					id: number
					created_at: string | null
					status: string
					user_id: string
					organization_id: number
				}
				Insert: {
					id?: number
					created_at?: string | null
					status?: string
					user_id: string
					organization_id: number
				}
				Update: {
					id?: number
					created_at?: string | null
					status?: string
					user_id?: string
					organization_id?: number
				}
			}
			user_organization: {
				Row: {
					updated_at: string | null
					created_at: string | null
					user_id: string
					organization_id: number
					last_active: string | null
					role: string
					accepted: boolean | null
					created_by: string
					notification_preferences: Json | null
				}
				Insert: {
					updated_at?: string | null
					created_at?: string | null
					user_id: string
					organization_id: number
					last_active?: string | null
					role?: string
					accepted?: boolean | null
					created_by: string
					notification_preferences?: Json | null
				}
				Update: {
					updated_at?: string | null
					created_at?: string | null
					user_id?: string
					organization_id?: number
					last_active?: string | null
					role?: string
					accepted?: boolean | null
					created_by?: string
					notification_preferences?: Json | null
				}
			}
			users: {
				Row: {
					id: string
					updated_at: string | null
					created_at: string | null
					email: string | null
					username: string | null
					photo_url: string | null
					display_name: string | null
					first_name: string | null
					last_name: string | null
					country: string | null
					tagline: string | null
					about: string | null
					website: string | null
					description: string | null
				}
				Insert: {
					id: string
					updated_at?: string | null
					created_at?: string | null
					email?: string | null
					username?: string | null
					photo_url?: string | null
					display_name?: string | null
					first_name?: string | null
					last_name?: string | null
					country?: string | null
					tagline?: string | null
					about?: string | null
					website?: string | null
					description?: string | null
				}
				Update: {
					id?: string
					updated_at?: string | null
					created_at?: string | null
					email?: string | null
					username?: string | null
					photo_url?: string | null
					display_name?: string | null
					first_name?: string | null
					last_name?: string | null
					country?: string | null
					tagline?: string | null
					about?: string | null
					website?: string | null
					description?: string | null
				}
			}
			webhooks: {
				Row: {
					id: number
					created_at: string | null
					organization_id: number
					url: string | null
					active: boolean
					name: string | null
				}
				Insert: {
					id?: number
					created_at?: string | null
					organization_id: number
					url?: string | null
					active?: boolean
					name?: string | null
				}
				Update: {
					id?: number
					created_at?: string | null
					organization_id?: number
					url?: string | null
					active?: boolean
					name?: string | null
				}
			}
			projects: {
				Row: {
					id: number
					created_at: string | null
					toggl_id: number | null
					name: string | null
					description: string | null
					account_id: number | null
				}
				Insert: {
					id?: number
					created_at?: string | null
					toggl_id?: number | null
					name?: string | null
					description?: string | null
					account_id?: number | null
				}
				Update: {
					id?: number
					created_at?: string | null
					toggl_id?: number | null
					name?: string | null
					description?: string | null
					account_id?: number | null
				}
			}
			message_threads: {
				Row: {
					id: number
					created_at: string | null
					created_by: string | null
					last_message: string | null
					last_message_at: string | null
					last_message_by: string
				}
				Insert: {
					id?: number
					created_at?: string | null
					created_by?: string | null
					last_message?: string | null
					last_message_at?: string | null
					last_message_by: string
				}
				Update: {
					id?: number
					created_at?: string | null
					created_by?: string | null
					last_message?: string | null
					last_message_at?: string | null
					last_message_by?: string
				}
			}
			messages: {
				Row: {
					id: number
					created_at: string | null
					created_by: string | null
					text: string | null
					thread_id: number | null
				}
				Insert: {
					id?: number
					created_at?: string | null
					created_by?: string | null
					text?: string | null
					thread_id?: number | null
				}
				Update: {
					id?: number
					created_at?: string | null
					created_by?: string | null
					text?: string | null
					thread_id?: number | null
				}
			}
			invoices: {
				Row: {
					id: string
					object: string | null
					auto_advance: boolean | null
					collection_method: string | null
					currency: string | null
					description: string | null
					hosted_invoice_url: string | null
					lines: Json | null
					metadata: Json | null
					period_end: number | null
					period_start: number | null
					status: string | null
					total: number | null
					account_country: string | null
					account_name: string | null
					account_tax_ids: Json | null
					amount_due: number | null
					amount_paid: number | null
					amount_remaining: number | null
					application_fee_amount: number | null
					attempt_count: number | null
					attempted: boolean | null
					billing_reason: string | null
					custom_fields: Json | null
					customer_address: Json | null
					customer_email: string | null
					customer_name: string | null
					discount: Json | null
					discounts: Json | null
					due_date: number | null
					ending_balance: number | null
					footer: string | null
					invoice_pdf: string | null
					last_finalization_error: Json | null
					livemode: boolean | null
					next_payment_attempt: number | null
					number: string | null
					paid: boolean | null
					statement_descriptor: string | null
					subtotal: number | null
					tax: number | null
					total_discount_amounts: Json | null
					total_tax_amounts: Json | null
					transfer_data: Json | null
					customer: string | null
					subscription: string | null
					payment_intent: string | null
					created: string | null
				}
				Insert: {
					id: string
					object?: string | null
					auto_advance?: boolean | null
					collection_method?: string | null
					currency?: string | null
					description?: string | null
					hosted_invoice_url?: string | null
					lines?: Json | null
					metadata?: Json | null
					period_end?: number | null
					period_start?: number | null
					status?: string | null
					total?: number | null
					account_country?: string | null
					account_name?: string | null
					account_tax_ids?: Json | null
					amount_due?: number | null
					amount_paid?: number | null
					amount_remaining?: number | null
					application_fee_amount?: number | null
					attempt_count?: number | null
					attempted?: boolean | null
					billing_reason?: string | null
					custom_fields?: Json | null
					customer_address?: Json | null
					customer_email?: string | null
					customer_name?: string | null
					discount?: Json | null
					discounts?: Json | null
					due_date?: number | null
					ending_balance?: number | null
					footer?: string | null
					invoice_pdf?: string | null
					last_finalization_error?: Json | null
					livemode?: boolean | null
					next_payment_attempt?: number | null
					number?: string | null
					paid?: boolean | null
					statement_descriptor?: string | null
					subtotal?: number | null
					tax?: number | null
					total_discount_amounts?: Json | null
					total_tax_amounts?: Json | null
					transfer_data?: Json | null
					customer?: string | null
					subscription?: string | null
					payment_intent?: string | null
					created?: string | null
				}
				Update: {
					id?: string
					object?: string | null
					auto_advance?: boolean | null
					collection_method?: string | null
					currency?: string | null
					description?: string | null
					hosted_invoice_url?: string | null
					lines?: Json | null
					metadata?: Json | null
					period_end?: number | null
					period_start?: number | null
					status?: string | null
					total?: number | null
					account_country?: string | null
					account_name?: string | null
					account_tax_ids?: Json | null
					amount_due?: number | null
					amount_paid?: number | null
					amount_remaining?: number | null
					application_fee_amount?: number | null
					attempt_count?: number | null
					attempted?: boolean | null
					billing_reason?: string | null
					custom_fields?: Json | null
					customer_address?: Json | null
					customer_email?: string | null
					customer_name?: string | null
					discount?: Json | null
					discounts?: Json | null
					due_date?: number | null
					ending_balance?: number | null
					footer?: string | null
					invoice_pdf?: string | null
					last_finalization_error?: Json | null
					livemode?: boolean | null
					next_payment_attempt?: number | null
					number?: string | null
					paid?: boolean | null
					statement_descriptor?: string | null
					subtotal?: number | null
					tax?: number | null
					total_discount_amounts?: Json | null
					total_tax_amounts?: Json | null
					transfer_data?: Json | null
					customer?: string | null
					subscription?: string | null
					payment_intent?: string | null
					created?: string | null
				}
			}
			customers: {
				Row: {
					id: string
					address: Json | null
					description: string | null
					email: string | null
					metadata: Json | null
					name: string | null
					phone: string | null
					shipping: Json | null
					balance: number | null
					created: number | null
					currency: string | null
					default_source: string | null
					delinquent: boolean | null
					discount: Json | null
					livemode: boolean | null
					next_invoice_sequence: number | null
					tax_exempt: string | null
				}
				Insert: {
					id: string
					address?: Json | null
					description?: string | null
					email?: string | null
					metadata?: Json | null
					name?: string | null
					phone?: string | null
					shipping?: Json | null
					balance?: number | null
					created?: number | null
					currency?: string | null
					default_source?: string | null
					delinquent?: boolean | null
					discount?: Json | null
					livemode?: boolean | null
					next_invoice_sequence?: number | null
					tax_exempt?: string | null
				}
				Update: {
					id?: string
					address?: Json | null
					description?: string | null
					email?: string | null
					metadata?: Json | null
					name?: string | null
					phone?: string | null
					shipping?: Json | null
					balance?: number | null
					created?: number | null
					currency?: string | null
					default_source?: string | null
					delinquent?: boolean | null
					discount?: Json | null
					livemode?: boolean | null
					next_invoice_sequence?: number | null
					tax_exempt?: string | null
				}
			}
			subscriptions: {
				Row: {
					id: string
					object: string | null
					cancel_at_period_end: boolean | null
					current_period_end: number | null
					current_period_start: number | null
					default_payment_method: string | null
					items: Json | null
					metadata: Json | null
					pending_setup_intent: string | null
					pending_update: Json | null
					status: string | null
					application_fee_percent: number | null
					billing_cycle_anchor: number | null
					billing_thresholds: Json | null
					cancel_at: number | null
					canceled_at: number | null
					collection_method: string | null
					created: number | null
					days_until_due: number | null
					default_source: string | null
					default_tax_rates: Json | null
					discount: Json | null
					ended_at: number | null
					livemode: boolean | null
					next_pending_invoice_item_invoice: number | null
					pause_collection: Json | null
					pending_invoice_item_interval: Json | null
					start_date: number | null
					transfer_data: Json | null
					trial_end: Json | null
					trial_start: Json | null
					schedule: string | null
					customer: string | null
					latest_invoice: string | null
					plan: string | null
				}
				Insert: {
					id: string
					object?: string | null
					cancel_at_period_end?: boolean | null
					current_period_end?: number | null
					current_period_start?: number | null
					default_payment_method?: string | null
					items?: Json | null
					metadata?: Json | null
					pending_setup_intent?: string | null
					pending_update?: Json | null
					status?: string | null
					application_fee_percent?: number | null
					billing_cycle_anchor?: number | null
					billing_thresholds?: Json | null
					cancel_at?: number | null
					canceled_at?: number | null
					collection_method?: string | null
					created?: number | null
					days_until_due?: number | null
					default_source?: string | null
					default_tax_rates?: Json | null
					discount?: Json | null
					ended_at?: number | null
					livemode?: boolean | null
					next_pending_invoice_item_invoice?: number | null
					pause_collection?: Json | null
					pending_invoice_item_interval?: Json | null
					start_date?: number | null
					transfer_data?: Json | null
					trial_end?: Json | null
					trial_start?: Json | null
					schedule?: string | null
					customer?: string | null
					latest_invoice?: string | null
					plan?: string | null
				}
				Update: {
					id?: string
					object?: string | null
					cancel_at_period_end?: boolean | null
					current_period_end?: number | null
					current_period_start?: number | null
					default_payment_method?: string | null
					items?: Json | null
					metadata?: Json | null
					pending_setup_intent?: string | null
					pending_update?: Json | null
					status?: string | null
					application_fee_percent?: number | null
					billing_cycle_anchor?: number | null
					billing_thresholds?: Json | null
					cancel_at?: number | null
					canceled_at?: number | null
					collection_method?: string | null
					created?: number | null
					days_until_due?: number | null
					default_source?: string | null
					default_tax_rates?: Json | null
					discount?: Json | null
					ended_at?: number | null
					livemode?: boolean | null
					next_pending_invoice_item_invoice?: number | null
					pause_collection?: Json | null
					pending_invoice_item_interval?: Json | null
					start_date?: number | null
					transfer_data?: Json | null
					trial_end?: Json | null
					trial_start?: Json | null
					schedule?: string | null
					customer?: string | null
					latest_invoice?: string | null
					plan?: string | null
				}
			}
			organizations: {
				Row: {
					id: number
					updated_at: string | null
					created_at: string | null
					photo_url: string | null
					name: string
					description: string | null
					website: string | null
					created_by: string
					stripe_customer_id: string | null
					toggl_api_token: string | null
					stripe_subscription_status: string | null
					stripe_product: string | null
					stripe_account_id: string | null
				}
				Insert: {
					id?: never
					updated_at?: string | null
					created_at?: string | null
					photo_url?: string | null
					name: string
					description?: string | null
					website?: string | null
					created_by: string
					stripe_customer_id?: string | null
					toggl_api_token?: string | null
					stripe_subscription_status?: string | null
					stripe_product?: string | null
					stripe_account_id?: string | null
				}
				Update: {
					id?: never
					updated_at?: string | null
					created_at?: string | null
					photo_url?: string | null
					name?: string
					description?: string | null
					website?: string | null
					created_by?: string
					stripe_customer_id?: string | null
					toggl_api_token?: string | null
					stripe_subscription_status?: string | null
					stripe_product?: string | null
					stripe_account_id?: string | null
				}
			}
		}
		Functions: {}
	}
}
