import type { Database } from './supabase-types'
export type DbUser = Database['public']['Tables']['users']['Row']
export type Organization = Database['public']['Tables']['organizations']['Row']
export type Webhook = Database['public']['Tables']['webhooks']['Row']

// export default {
// 	DbUser: Database['public']['Tables']['users']['Row']
// }
export interface CurrentUser {
	id: string
	uid?: string
	email: string
}
export interface Organization {
	id: number | string
	updated_at: string | null
	created_at: string | null
	photo_url: string | null
	name: string
	description: string | null
	website: string | null
	created_by: string
}

export interface UserOrganization {
	updated_at: string | null
	created_at: string | null
	user_id: string
	organization_id: Organization['id']
	last_active: string | null
	role: 'owner' | 'admin' | 'member'
	accepted: boolean | null
	created_by: string
	notification_preferences: Json | null
}

export interface User {
	id: string
	updated_at: string | null
	created_at: string | null
	email: string | null
	username: string | null
	photo_url: string | null
	display_name: string | null
	first_name: string | null
	last_name: string | null
	country: string | null
	tagline: string | null
	about: string | null
	website: string | null
	role: string
	description: string | null
}

export interface DbUser {
	id: string
	updated_at: string | null
	created_at: string | null
	email: string | null
	username: string | null
	photo_url: string | null
	display_name: string | null
	first_name: string | null
	last_name: string | null
	country: string | null
	tagline: string | null
	about: string | null
	website: string | null
	role: string
	description: string | null
}

export interface Message {
	id: number
	created_at: string | null
	created_by: string | null
	text: string | null
	thread_id: number | null
}

export interface MessageThread {
	id: number
	created_at: string | null
	created_by: string | null
	last_message: string | null
	last_message_at: string | null
	last_message_by: string
}

export interface Notification {
	id: number
}
